Subject: Re: bad TSO performance in 2.6.9-rc2-BK

From: Andrew Grover <[email-masked]>
Date: Wed, 22 Sep 2004 13:12:47 -0700

On Wed, 22 Sep 2004 21:55:15 +0200, Andi Kleen <[email-masked]> wrote:
> With tso off i get the same performance as on 2.6.5.
> 
> I must add that this is a CSA e1000 (directly integrated into
> the chipset and doesn't use PCI) and TSO doesn't seem to be
> bring any advantage. On 2.6.5 the performance is the same
> with both TSO on or off.

I think this is caused by the congestion changes added between
2.6.9-rc1 and rc2. I am seeing good performance with rc1 and tso on
(or off), but bad performance with rc2 and bk-latest only if tso is
on.

Regards -- Andy